Este foro usa cookies
Este foro utiliza cookies para almacenar su información de inicio de sesión si está registrado y su última visita si no lo está. Las cookies son pequeños documentos de texto almacenados en su computadora; las cookies establecidas por este foro solo se pueden usar en este sitio web y no representan ningún riesgo de seguridad. Las cookies en este foro también rastrean los temas específicos que ha leído y la última vez que los leyó. Si Ud. continúa navegando, entenderemos que acepta todas las cookies.

Se almacenará una cookie en su navegador, independientemente de la elección, para evitar que se le vuelva a hacer esta pregunta. Podrá cambiar la configuración de sus cookies en cualquier momento utilizando el enlace en el pie de página.

Borrar este aviso
El foro antiguo se encuentra accesible desde https://foro.gambas-es.org en modo de solo lectura.

Calificación:
  • 0 voto(s) - 0 Media
  • 1
  • 2
  • 3
  • 4
  • 5

Linux Mint 20
#1

Buenas!.

¿ La habéis probado ya ?. Shy

Como sabéis el mismo día de la mudanza que no se podía acceder a la comunidad , Benoît lanzaba la versión PPA de Gambas,
le estuve comentando que no había ejecutables, tales como el compilador gbc y en breve y rápidamente respondió a la pregunta
y solucionó el problema in situ. Mejor imposible!.

Parece que Benoít no usa Linux Mint.

Aunque tengo virtualizado Linux Mint 20, anteriormente había virtualizado Kubuntu 20.04. Pensando que la Mint 20 incorporaba
de alguna forma QT4, no fue así. El PPA de Gambas 3.15 parece funcionar sin problemas pero con QT5. Quedó obsoleto QT4.

No la he probado lo suficiente. El principal problema que nos podemos encontrar es querer actualizar de una versión anterior.
A algunos le va mejor a otros les va peor.

How to upgrade to Linux Mint 20

En Tricia 19.3 ya se nos mostraba en la barra un icono referente a problemas, conflictos y avisos.
Y entre ellos puede aparecer desde actualización de drivers y como no, de versión de la distro.

 ¿ Nos quitará un poco las ganas de actualizar por no tener QT4 ?. Rolleyes

Saludos

“Nunca confíes en un ordenador que no puedas lanzar por la ventana” – Steve Wosniak
Responder
#2

Ubuntu 20.04 (y Linux Mint 20) ya no soporta librarias "qt4" y "keyring".
En efecto en Gambas...
||
|| THESE COMPONENTS ARE DISABLED:
|| - gb.desktop.gnome.keyring
|| - gb.qt4
|| - gb.qt4.ext
|| - gb.qt4.opengl
|| - gb.qt4.webkit
||

In praeterita spectando dolenter subfero.
Responder
#3

Yo la instale hace un tiempo y algunas cosas no iban bien. así que decidi probar Manjaro a ver que tal y de momento va perfecto.
Ya nos contaras tu experiencia con LM20
Saludos.
Responder
#4

tincho,
yo uso Linux Mint 20: no tengo problemas y Gambas funciona normalmente. Shy
...por supuesto en Gambas uso el Componente gb.qui.qt o directamente gb.qt5.

saludos

In praeterita spectando dolenter subfero.
Responder
#5

Tincho:

¿ Qué no te iba bien ?, ¿ usar QT4 ?.

Vuott:

Con programas que usen QT4 y que sean grandes, ni idea lo que puede llegar a crear depender solo de QT5.
Mientras haya una compatibilidad.

A lo más que podemos ver es cuando usábamos gtk ( en su día ) y ver como cambia a QT5.

Como os comenté en su día, una aplicación que esta hecha en QT4, dependiendo de la distro, escritorio, etc,
en ejecución no se muestra igual (visualmente), siendo la misma en QT5.  En este parece más bonita la aplicación,
pero puede darse cambios según los temas que estés usando. Los temas oscuros se presentan en QT4 y el cambio
a QT5, no presenta un tema oscuro. Siendo la misma aplicación. A mí se me da este caso.

Saludos

“Nunca confíes en un ordenador que no puedas lanzar por la ventana” – Steve Wosniak
Responder
#6

(01-08-2020, 12:22)Shell escribió:  ¿ Qué no te iba bien ?, ¿ usar QT4 ?.
Por velocidad siempre uso escritorios GTK, como mate o XFCE, pero al hacer formularios con gambas, en algunas distros, nunca se ven bien del todo siempre hay algo que se ve desentonado con el escritorio subyasente, sobretodo cuando usas un tema oscuro, como suelo usar.
Así que me dispuse a probar nuevamente manjaro ya que la vez anterior algo fue mal y no arranco mas. Debo decir que es súper rápida, los iconos los controles y los formularios se ven perfectamente, en temas claros y oscuros. Luego esta el tema de la velocidad, esta distro les pasa el trapo a todas las demás.
Manjaro+XFCE = estética impecable, gran velocidad, versiones de paquetes modernas.
Saludos.
Responder
#7

Tincho:

Hace tiempo que dejé de usar gtk. El primer problema que encontré fue con DrawingArea componente que me gusta usar mucho.
Ahora no recuerdo cual fue.

Puede que el problema principal sea que haya controles pensados o construidos para un librería más que otra y de ahí
luego vengan los problemas.

Desde luego la distro que se use debe ser acorde a los recursos del equipo. A mi XFCE me gusta pero tenía en su día cosa sencillas
o habituales de uso que se le complicaba al usuario nuevo en Linux. Digo yo que ese problema lo habrán mejorado hoy en día.
Si no me equivoco iba con el tema de añadir una entrada en el menú de aplicaciones. Pero se busca y se encuentra la solución.
Como tu sabes, los usuarios siempre vamos a querer el camino rápido y que funcione. Pero es otra forma de aprender.

Saludos

“Nunca confíes en un ordenador que no puedas lanzar por la ventana” – Steve Wosniak
Responder


Posibles temas similares…
Tema / Autor Respuestas Vistas Último mensaje

Salto de foro:


Usuarios navegando en este tema: 1 invitado(s)